#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 11. General Utilities

- Prev

  Graphviz-14.1.5

- Next

  Highlight-4.19

- Up
- Home

# GTK-Doc-1.36.1

## Introduction to GTK-Doc

The GTK-Doc package contains a code documenter. This is useful for extracting specially formatted comments from the code to create API documentation. This package is optional; if it is not installed, packages will not build the documentation. This does not mean that you will not have any documentation. If GTK-Doc is not available, the install process will copy any pre-built documentation to your system.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gtk-doc/1.36/gtk-doc-1.36.1.tar.xz

- Download MD5 sum: 819b11aa730cf5108f1df3f0eec91cf9

- Download size: 584 KB

- Estimated disk space required: 16 MB (add 2.2 MB for tests)

- Estimated build time: less than 0.1 SBU (with tests)

### GTK-Doc Dependencies

#### Required

docbook-xml-4.5, docbook-xsl-nons-1.79.2, GLib-2.88.0, itstool-2.0.7, libxslt-1.1.45, and Pygments-2.20.0

#### Optional

For tests: dblatex or fop-2.11 (XML PDF support), Which-2.23, and Python modules lxml-6.1.0, parameterized, and yelp-tools

### Note

The optional python modules above can be easily installed with the pip3 command.

## Installation of GTK-Doc

Install GTK-Doc by running the following commands:

    mkdir -p build &&
    cd       build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D tests=false      &&
    ninja

The test suite will hang if the package (or a previous version) is not already installed.

Now, as the `root` user:

    ninja install

To test the results, ensure you have the python module parameterized installed, and issue:

    meson configure -D tests=true &&
    ninja test

Some tests will fail depending on optionally installed packages.

## Command Explanations

`-D tests=false`: prevents building tests. The default is `true`, but requires the parameterized python module.

## Contents

Installed Programs: gtkdocize, gtkdoc-check, gtkdoc-depscan, gtkdoc-fixxref, gtkdoc-mkdb, gtkdoc-mkhtml, gtkdoc-mkhtml2, gtkdoc-mkman, gtkdoc-mkpdf, gtkdoc-rebase, gtkdoc-scan, and gtkdoc-scangobj
Installed Libraries: None
Installed Directories: /usr/lib/cmake/GtkDoc, /usr/share/gtk-doc, and /usr/share/help/*/gtk-doc-manual

### Short Descriptions

gtkdoc* | these are all shell, or Python scripts used by package `Makefile` scripts to generate documentation for the package being built

- Prev

  Graphviz-14.1.5

- Next

  Highlight-4.19

- Up
- Home